compile:
	../../deployable --output test.pl --bundle --bzip2 \
      hello.sh \
      --rootdir rootdir_1 \
      --rootdir rootdir_2 \
      --root    root_1 \
      --root    root_2

test: check clean

check: compile extract list inspect
	diff here.list prova/here.list
	diff root.list prova/root.list
	diff inspect.list generated-inspect.list
	diff script.list  generated-script.list
	@echo -e "\nall tests successful"

clean:
	@rm -rf test.pl prova inspect generated-*.list

extract:
	@rm -rf prova
	@mkdir -p prova/root prova/here
	./test.pl --here-tar | ( cd prova/here ; tar xvjf - )
	@cd prova/here && ls -R > ../here.list
	./test.pl --root-tar | ( cd prova/root ; tar xvjf - )
	@cd prova/root && ls -R > ../root.list

list:
	./test.pl -l | sed 's/.* //' | sort > generated-script.list

inspect:
	./test.pl --inspect inspect
	@cd inspect && ls -R > ../generated-inspect.list
